#include <qstring.h>
#include <string.h>
#include <stdio.h>

#include "cline.h"
#include "ddplot.h"


void CLineHelp()
{
  printf("----------------------------------------------------------------------------------------------\n");
  printf("Calling:     ddplot [options] [plot file]\n\n");
  printf("Options:\n");
  printf("  -f file    reads the custom settings from file [file]. Initially the settings is read from\n" \
         "             file .ddplot located in the same directory as the executable file ddplot.\n"); 
  printf("  -h         this help\n");
  printf("----------------------------------------------------------------------------------------------\n");
}


bool InterpretArgs( int argc, char **argv ) 
{
  QString arg;
  int i;
  bool ok=true,found;

  for (i=1; i<argc; i++) {
    arg = argv[i];
    found = false;

    // debugging information during the start of the program
    if (arg=="-debug") {
      STARTUP_DEBUG = ON;
      continue;
    }

    // load settings file instead of .ddplot
    if (arg=="-f" && i+1<argc) {
      SETTINGS_FILE = argv[++i];
      if (STARTUP_DEBUG)
        printf("User settings read from %s\n",SETTINGS_FILE.ascii());
      continue;
    }

    // command-line help
    if (arg=="-h") {
      CLineHelp();
      return false;
    }

    // last argument is the name of the plot file
    if (i+1>=argc) {
      PLOT_FILE = arg;
      if (STARTUP_DEBUG)
        printf("Plot file read from %s\n",PLOT_FILE.ascii());  
    }
  }

  return ok;
}
